Publications

Cancel an unclaimed prepared first comment

POST
/api/projects/{projectId}/publications/{publicationId}/first-comment/cancel

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
publicationId*string
Length1 <= length

Request Body

  1. body
expectedRevision*integer
Range1 <= value

Response Body

Response for status 200

application/json
  1. response
providerId*string
Value in"bluesky""mastodon"
textLimit*integer
Range1 <= value <= 3000
instanceOrigin*string|null
firstComment*|null
canConfigure*boolean
canManage*boolean
Example Request
curl -X POST 'https://postbot.example/api/projects/string/publications/string/first-comment/cancel' \
  -H 'Content-Type: application/json' \
  -d '{
  "expectedRevision": 1
}'
Example Response
{
  "providerId": "bluesky",
  "textLimit": 1,
  "instanceOrigin": "string",
  "firstComment": {
    "id": "string",
    "text": "string",
    "delaySeconds": 0,
    "state": "waiting",
    "revision": 1,
    "dueAt": 0,
    "createdAt": 0,
    "updatedAt": 0,
    "externalUrl": "string",
    "lastError": "string",
    "authorName": "string"
  },
  "canConfigure": true,
  "canManage": true
}

Was this page helpful?